from django.conf import settings
from django.conf.urls.defaults import *
from marketplace.models import *
from marketplace import views

# custom views stories
urlpatterns = patterns(
    "marketplace.views",
    url(r"^$", view=views.index, name="mk-index"),
    # url(r'^businesses/$',
    # view    = 'business_index',
    # name    = 'mk-business-index'),
    url(
        r"^businesses/(?P<slug>[-\w]+)/$",
        view="business_detail",
        name="mk-business-detail",
    ),
    url(r"^guides/(?P<slug>[-\w]+)/$", view="guide_detail", name="mk-guide-detail"),
    url(r"^guides/$", view="guide_index", name="mk-guide-index"),
    url(
        r"^(?P<category_slug>[-\w]+)/(?P<slug>[-\w]+)/$",
        view="subcategory_index",
        name="mk-subcategory-index",
    ),
    url(r"^(?P<slug>[-\w]+/)/$", view="category_index", name="mk-category-index"),
)
